netCDF::NcVarAtt Class Reference

`#include <ncVarAtt.h>`

Inheritance diagram for netCDF::NcVarAtt:
[legend]

## Public Member Functions

NcVar | getParentVar () const
void | inq_atttype (const char *name, nc_type *xtypep)
| NcVarAtt ()
| NcVarAtt (const NcGroup &grp, const NcVar &ncVar, const int index)
| NcVarAtt (const NcVarAtt &rhs)
| The copy constructor.
NcVarAtt & | operator= (const NcVarAtt &rhs)
Public Member Functions inherited from netCDF::NcAtt
size_t | getAttLength () const
std::string | getName () const
NcGroup | getParentGroup () const
NcType | getType () const
void | getValues (char **dataValues) const
void | getValues (char *dataValues) const
void | getValues (double *dataValues) const
void | getValues (float *dataValues) const
void | getValues (int *dataValues) const
void | getValues (long *dataValues) const
void | getValues (long long *dataValues) const
void | getValues (short *dataValues) const
void | getValues (signed char *dataValues) const
void | getValues (std::string &dataValues) const
void | getValues (unsigned char *dataValues) const
void | getValues (unsigned int *dataValues) const
void | getValues (unsigned long long *dataValues) const
void | getValues (unsigned short *dataValues) const
void | getValues (void *dataValues) const
bool | isNull () const
| NcAtt ()
| NcAtt (bool nullObject)
| NcAtt (const NcAtt &rhs)
bool | operator!= (const NcAtt &rhs) const
bool | operator== (const NcAtt &rhs) const
virtual | ~NcAtt ()=0

## Friends

bool | operator< (const NcVarAtt &lhs, const NcVarAtt &rhs)
bool | operator> (const NcVarAtt &lhs, const NcVarAtt &rhs)

## Additional Inherited Members

Protected Member Functions inherited from netCDF::NcAtt
NcAtt & | operator= (const NcAtt &rhs)

## Detailed Description

Class represents a netCDF attribute local to a netCDF variable.

## Constructor & Destructor Documentation

## NcVarAtt() [1/3]

NcVarAtt::NcVarAtt | ( |  | ) |

Constructor generates a null object.

## NcVarAtt() [2/3]

NcVarAtt::NcVarAtt | ( | const NcVarAtt & | rhs | ) |

The copy constructor.

The copy constructor.

## NcVarAtt() [3/3]

NcVarAtt::NcVarAtt | ( | const NcGroup & | grp,
|  | const NcVar & | ncVar,
|  | const int | index )

Constructor for an existing local attribute.

Parameters

  grp | Parent Group object.
  NcVar | Parent NcVar object.
  index | The index (id) of the attribute.

## Member Function Documentation

## getParentVar()

NcVar NcVarAtt::getParentVar | ( |  | ) | const

Returns the NcVar parent object.

## inq_atttype()

void NcVarAtt::inq_atttype | ( | const char * | name,
|  | nc_type * | xtypep )

Query a variable attribute type.

## operator=()

NcVarAtt & NcVarAtt::operator= | ( | const NcVarAtt & | rhs | ) |

assignment operator

## Friends And Related Symbol Documentation

## operator<

bool operator< | ( | const NcVarAtt & | lhs,
|  | const NcVarAtt & | rhs )

friend

comparator operator

## operator>

bool operator> | ( | const NcVarAtt & | lhs,
|  | const NcVarAtt & | rhs )

friend

comparator operator

The documentation for this class was generated from the following files:

- ncVarAtt.h
- ncVarAtt.cpp